This site contains release notes for MapR Version 5.0 and below.  You can also refer to the release notes for the latest release.

Skip to end of metadata
Go to start of metadata

This page contains details about packages and dependencies for the MapR software and Hadoop ecosystem components for the MapR version 4.x release.

This page contains the following subtopics:

The Package Dependencies section lists the non-MapR packages that the MapR distribution depends on. The Node Roles, Packages and Dependencies section lists the packages that contain each MapR component, and their dependencies.

Package Dependencies

This section contains dependencies for the MapR software for each supported version of Linux:

Package Dependencies for Red Hat and CentOS

Make sure the following packages are installed on each node:

  • bash
  • rpcbind
  • dmidecode
  • glibc
  • hdparm
  • initscripts
  • iputils
  • irqbalance
  • libgcc
  • libstdc++
  • redhat-lsb-core
  • rpm-libs
  • sdparm
  • shadow-utils
  • syslinux
  • unzip
  • zip

On ZooKeeper nodes, nc is required for netcat.
On nodes running the Metrics service, soci-mysql is required.
Installing the Metrics service requires the presence of the EPEL (Extra Packages for Enterprise Linux) repository.

Package Dependencies for SUSE

All package dependencies for Red Hat are also applicable for SUSE.
Installing on SUSE also requires the following packages to be installed:

  • aaa_base
  • mapr-compat-suse-2.0.0.15132GA-1.x86_64.rpm

Package Dependencies for Ubuntu

Make sure the following packages are installed on each node:

  • adduser
  • awk
  • bash
  • coreutils
  • dmidecode
  • dpkg-repack
  • grep
  • hdparm
  • iputils-arping
  • irqbalance
  • libc6
  • libgcc1
  • libstdc++6
  • lsb-base
  • nfs-common
  • perl
  • procps
  • sdparm
  • sed
  • syslinux
  • sysvinit-utils
  • unzip
  • zip

On ZooKeeper nodes, nc is required for netcat.

If setting up a local repository, the following packages are required on the repository machine:

  • dpkg-dev
  • apache2

Node Roles, Packages and Dependencies

This section lists the roles (ie, services) that can be installed on a node, which package implements each specific role, and the dependencies for each role.

Package files for Red Hat, CentOS and SUSE distributions have extension *.rpm. Package files for the Ubuntu distribution have extension *.deb. The table lists package files ending in rpm only, but each package has an equivalent deb file for Ubuntu.

The following table provides a list of MapR roles and the associated package for each role, as well as the dependency packages that each role requires.

RolePackageInternal Dependencies
CLDBmapr-cldb-4.0.1.27334.GA-1.x86_64.rpm

mapr-core-4.0.1.27334.GA-1.x86_64.rpm
mapr-fileserver-4.0.1.27334.GA-1.x86_64.rpm

MapR Client

mapr-client-4.0.1.27334.GA-1.x86_64.rpm

None
FileServer

mapr-fileserver-4.0.1.27334.GA-1.x86_64.rpm

mapr-core-4.0.1.27334.GA-1.x86_64.rpm
MapR Metrics

mapr-metrics-4.0.1.27334.GA-1.x86_64.rpm

mapr-core-4.0.1.27334.GA-1.x86_64.rpm

JobTracker

mapr-jobtracker-4.0.1.27334.GA-1.x86_64.rpmmapr-core-4.0.1.27334.GA-1.x86_64.rpm
mapr-fileserver-4.0.1.27334.GA-1.x86_64.rpm
mapr-mapreduce1-0.20.2.27259.GA-1.x86_64.rpm

NFS

mapr-nfs-4.0.1.27334.GA-1.x86_64.rpmmapr-core-4.0.1.27334.GA-1.x86_64.rpm

MapR Single Node

mapr-single-node-4.0.1.27334.GA-1.x86_64.rpmmapr-cldb-4.0.1.27334.GA-1.x86_64.rpm
mapr-fileserver-4.0.1.27334.GA-1.x86_64.rpm
mapr-nfs-4.0.1.27334.GA-1.x86_64.rpm
mapr-zookeeper-4.0.1.27334.GA-1.x86_64.rpm
mapr-webserver-4.0.1.27334.GA-1.x86_64.rpm
mapr-jobtracker-4.0.1.27334.GA-1.x86_64.rpm
mapr-tasktracker-4.0.1.27334.GA-1.x86_64.rpm

TaskTracker

mapr-tasktracker-4.0.1.27334.GA-1.x86_64.rpmmapr-core-4.0.1.27334.GA-1.x86_64.rpm
mapr-fileserver-4.0.1.27334.GA-1.x86_64.rpm
mapr-mapreduce1-0.20.2.27259.GA-1.x86_64.rpm

MapR Upgrade

mapr-upgrade-4.0.1.27334.GA-1.x86_64.rpmmapr-core-4.0.1.27334.GA-1.x86_64.rpm

Webserver

mapr-webserver-4.0.1.27334.GA-1.x86_64.rpmmapr-core-4.0.1.27334.GA-1.x86_64.rpm

MapR Core 4.0.1 GA

mapr-core-4.0.1.27334.GA-1.x86_64.rpmmapr-core-internal-4.0.1.27334.GA-1.x86_64.rpm
mapr-hadoop-core-2.4.1.27259.GA-1.x86_64.rpm
mapr-mapreduce1-0.20.2.27259.GA-1.x86_64.rpm
mapr-mapreduce2-2.4.1.27259.GA-1.x86_64.rpm

MapR Core Internal

mapr-core-internal-4.0.1.27334.GA-1.x86_64.rpmNone

Hadoop Core

mapr-hadoop-core-2.4.1.27259.GA-1.x86_64.rpmmapr-core-internal-4.0.1.27334.GA-1.x86_64.rpm

MapR History Server

mapr-historyserver-2.4.1.27259.GA-1.x86_64.rpmmapr-mapreduce2-2.4.1.27259.GA-1.x86_64.rpm

MapReduce1

mapr-mapreduce1-0.20.2.27259.GA-1.x86_64.rpmmapr-hadoop-core-2.4.1.27259.GA-1.x86_64.rpm

MapReduce2

mapr-mapreduce2-2.4.1.27259.GA-1.x86_64.rpmmapr-hadoop-core-2.4.1.27259.GA-1.x86_64.rpm

NodeManager

mapr-nodemanager-2.4.1.27259.GA-1.x86_64.rpmmapr-mapreduce2-2.4.1.27259.GA-1.x86_64.rpm

ResourceManager

mapr-resourcemanager-2.4.1.27259.GA-1.x86_64.rpmmapr-mapreduce2-2.4.1.27259.GA-1.x86_64.rpm

ZooKeeper

mapr-zookeeper-4.0.1.27334.GA-1.x86_64.rpmmapr-core-4.0.1.27334.GA-1.x86_64.rpm
mapr-zk-internal-4.0.1.27334.GA.v3.4.5-1.x86_64.rpm

ZooKeeper Internal

mapr-zk-internal-4.0.1.27334.GA.v3.4.5-1.x86_64.rpmNone

SuSe (for SuSe installs only)

mapr-compat-suse-4.0.1.27334.GA-1.x86_64.rpmNone
  • No labels